import * as React from 'react';

const MailIcon: React.FC<React.SVGProps<SVGSVGElement>> = ({
  width = 16,
  height = 17,
  fill = '#f1f2f3',
  ...rest
}) => {
  return (
    <svg width={width} height={height} viewBox="0 0 16 12" fill="none" {...rest}>
      <path
        d="M14.5 0H1.5C0.65625 0 0 0.6875 0 1.5V10.5C0 11.3438 0.65625 12 1.5 12H14.5C15.3125 12 16 11.3438 16 10.5V1.5C16 0.6875 15.3125 0 14.5 0ZM1.5 1H14.5C14.75 1 15 1.25 15 1.5V2.8125C14.3125 3.375 13.3125 4.1875 10.2812 6.59375C9.75 7.03125 8.71875 8.03125 8 8C7.25 8.03125 6.21875 7.03125 5.6875 6.59375C2.65625 4.1875 1.65625 3.375 1 2.8125V1.5C1 1.25 1.21875 1 1.5 1ZM14.5 11H1.5C1.21875 11 1 10.7812 1 10.5V4.09375C1.6875 4.6875 2.8125 5.59375 5.0625 7.375C5.71875 7.90625 6.84375 9.03125 8 9C9.125 9.03125 10.25 7.90625 10.9062 7.375C13.1562 5.59375 14.2812 4.6875 15 4.09375V10.5C15 10.7812 14.75 11 14.5 11Z"
        fill={fill}
      />
    </svg>
  );
};

export default MailIcon;
